MeiroDocs

Whatsapp Exports

+ Entity's `status` possible values: `waiting`, `running`, `finished`, `error`, `canceled`

Section: Group Whatsapp Exports. Base URL: https://instance_name.meiro.io/api/.

Whatsapp Exports [/whatsapp_campaigns/{campaign_id}/exports{?limit,offset}]

  • Entity's status possible values: waiting, running, finished, error, canceled

List All Whatsapp Exports [GET]

Required feature (one of):

  • whatsapp/view

  • whatsapp/edit

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "whatsapp_exports": [
        {
            "id": 100,
            "user_id": 200,
            "segments": [
                {
                    "id": 100,
                    "name": "segment name",
                    "type": "custom",
                    "deleted": false
                }
            ],
            "name": "export example",
            "status": "running",
            "stats": {
                "statuses_history": {
                    "waiting": "2017-01-01 15:35:00",
                    "running": "2017-01-01 15:35:00",
                    "finished": "2017-01-01 15:35:00"
                }
            },
            "message_counts": {
                "total": 123,
                "sent": 100,
                "excluded_invalid": 3,
                "excluded_by_frequency_cap": 20
            },
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null
    }
}
  • Response 404 (application/json)
{
    "message": "Whatsapp campaign not found"
}

Whatsapp Export [/whatsapp_campaigns/{campaign_id}/exports/{export_id}]

  • Entity's status possible values: waiting, running, finished, error, canceled

Retrieve Whatsapp Export [GET]

Required feature (one of):

  • whatsapp/view

  • whatsapp/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "whatsapp_export": {
        "id": 100,
        "user_id": 200,
        "segments": [
            {
                "id": 100,
                "name": "segment name",
                "type": "custom",
                "deleted": false
            }
        ],
        "name": "export example",
        "status": "running",
        "stats": {
            "statuses_history": {
                "waiting": "2017-01-01 15:35:00",
                "running": "2017-01-01 15:35:00",
                "finished": "2017-01-01 15:35:00"
            }
        },
        "message_counts": {
            "total": 123,
            "sent": 100,
            "excluded_invalid": 3,
            "excluded_by_frequency_cap": 20
        },
        "created": "2017-01-01 15:35:00"
    }
}
  • Response 404 (application/json)
{
    "message": "Channel activation not found"
}

Cancel Whatsapp Export [DELETE]

Required feature (one of):

  • whatsapp/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "whatsapp_export": {
        "id": 100,
        "user_id": 200,
        "segments": [
            {
                "id": 100,
                "name": "segment name",
                "type": "custom",
                "deleted": false
            }
        ],
        "name": "export example",
        "status": "running",
        "stats": {
            "statuses_history": {
                "waiting": "2017-01-01 15:35:00",
                "running": "2017-01-01 15:35:00",
                "finished": "2017-01-01 15:35:00"
            }
        },
        "message_counts": {
            "total": 123,
            "sent": 100,
            "excluded_invalid": 3,
            "excluded_by_frequency_cap": 20
        },
        "created": "2017-01-01 15:35:00"
    }
}
  • Response 404 (application/json)
{
    "message": "Channel activation not found"
}
  • Response 400 (application/json)
{
    "message": "Finished export cannot be canceled"
}

On this page